"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const fs_1 = __importDefault(require("fs"));
const mock_fs_1 = __importDefault(require("mock-fs"));
const register_1 = require("../register");
(0, vitest_1.test)("registerCommands should write commands to package.json", async () => {
    const mockPackageJson = {
        name: "test",
        version: "1.0.0",
    };
    (0, mock_fs_1.default)({
        "package.json": JSON.stringify(mockPackageJson),
    });
    const commands = [{ name: "i", filename: "install.js" }];
    (0, register_1.registerCommands)(commands);
    const updatedPackageJson = JSON.parse(fs_1.default.readFileSync("package.json", "utf-8"));
    (0, vitest_1.expect)(updatedPackageJson.bin).toBeDefined();
    (0, vitest_1.expect)(updatedPackageJson.bin.i).toEqual("./dist/cli/install.js");
    mock_fs_1.default.restore();
});
//# sourceMappingURL=register.test.js.map