#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const utils_1 = require("../utils");
/** 获取所有非当前的分支 */
const getBranch = async (str) => {
    const currentBranch = (await (0, utils_1.execCommand)("git rev-parse --abbrev-ref HEAD")).replace("\n", "");
    const splited = str.split("\n");
    if (splited.length) {
        return splited
            .filter((branch) => !branch.endsWith(currentBranch) && Boolean(branch))
            .map((branch) => {
            let result = branch.trim().replace("\n", "");
            if (result.startsWith("origin/")) {
                result = result.replace("origin/", "");
            }
            return result;
        });
    }
    else {
        return [];
    }
};
const removeDuplicate = (arr1, arr2) => {
    return arr1.filter((item) => !arr2.includes(item));
};
(async () => {
    await (0, utils_1.execCommand)("git remote prune origin");
    const local = await (0, utils_1.execCommand)("git branch");
    const localBranchs = await getBranch(local);
    const remote = await (0, utils_1.execCommand)("git branch -r");
    const remoteBranchs = await getBranch(remote);
    const targetBranchs = removeDuplicate(localBranchs, remoteBranchs);
    if (!targetBranchs.length) {
        return console.log("暂无冗余分支😌");
    }
    (0, __1.exec)(["git", ["branch -D", ...targetBranchs]]);
})();
//# sourceMappingURL=cbranch.js.map