#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const promises_1 = require("fs/promises");
const index_1 = require("../index");
(async () => {
    const { scripts } = JSON.parse(await (0, promises_1.readFile)(path_1.default.join(process.cwd(), "package.json"), "utf-8"));
    if (scripts.dev) {
        (0, index_1.exec)(["nr", ["dev"]]);
    }
    else if (scripts.start) {
        (0, index_1.exec)(["nr", ["start"]]);
    }
    else {
        throw new Error("no start or dev script");
    }
})();
//# sourceMappingURL=start.js.map