"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerCommands = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function registerCommands(commands) {
    const packageJsonPath = path_1.default.resolve(process.cwd(), "package.json");
    const packageJson = JSON.parse(fs_1.default.readFileSync(packageJsonPath, { encoding: "utf8" }));
    packageJson.bin = {};
    for (const command of commands) {
        packageJson.bin[command.name] = `./dist/cli/${command.filename}`;
    }
    fs_1.default.writeFileSync(packageJsonPath, JSON.stringify(packageJson, null, 2));
}
exports.registerCommands = registerCommands;
//# sourceMappingURL=register.js.map