"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.execCommand = exports.resolveRepoUrl = void 0;
const child_process_1 = require("child_process");
const path_1 = __importDefault(require("path"));
const process_1 = require("process");
const resolveRepoUrl = (url) => {
    const basename = path_1.default.basename(url);
    const endIndex = basename.indexOf(".git");
    return basename.slice(0, endIndex);
};
exports.resolveRepoUrl = resolveRepoUrl;
const execCommand = (command) => {
    return new Promise((resolve, rejected) => {
        (0, child_process_1.exec)(command, { cwd: (0, process_1.cwd)(), windowsHide: true }, (error, stdout) => {
            if (error) {
                rejected(error);
                return;
            }
            resolve(stdout);
        });
    });
};
exports.execCommand = execCommand;
//# sourceMappingURL=utils.js.map